org.springframework.scheduling.quartz

## Class ResourceLoaderClassLoadHelper

- java.lang.Object
- - org.springframework.scheduling.quartz.ResourceLoaderClassLoadHelper

All Implemented Interfaces:
  org.quartz.spi.ClassLoadHelper

    public class ResourceLoaderClassLoadHelper
    extends Object
    implements org.quartz.spi.ClassLoadHelper

Wrapper that adapts from the Quartz `ClassLoadHelper` interface onto Spring's `ResourceLoader` interface. Used by default when the SchedulerFactoryBean runs in a Spring ApplicationContext.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  `SchedulerFactoryBean.setApplicationContext(org.springframework.context.ApplicationContext)`

### Field Summary

Fields
`protected static Log` `logger`

### Constructor Summary

Constructors
Constructor and Description
`ResourceLoaderClassLoadHelper()` Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.
`ResourceLoaderClassLoadHelper(ResourceLoader resourceLoader)` Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

### Method Summary

Methods
`ClassLoader` `getClassLoader()`
`URL` `getResource(String name)`
`InputStream` `getResourceAsStream(String name)`
`void` `initialize()`
`Class` `loadClass(String name)`
`<T> Class<? extends T>` `loadClass(String name, Class<T> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected static final Log logger

### Constructor Detail

#### ResourceLoaderClassLoadHelper

    public ResourceLoaderClassLoadHelper()

Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.

See Also:
  `SchedulerFactoryBean.getConfigTimeResourceLoader()`

#### ResourceLoaderClassLoadHelper

    public ResourceLoaderClassLoadHelper(ResourceLoader resourceLoader)

Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

Parameters:
  `resourceLoader` - the ResourceLoader to delegate to

### Method Detail

#### initialize

    public void initialize()

Specified by:
  `initialize` in interface `org.quartz.spi.ClassLoadHelper`

#### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

Specified by:
  `loadClass` in interface `org.quartz.spi.ClassLoadHelper`
Throws:
  `ClassNotFoundException`

#### loadClass

    public <T> Class<? extends T> loadClass(String name,
                                   Class<T> clazz)
                                 throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### getResource

    public URL getResource(String name)

Specified by:
  `getResource` in interface `org.quartz.spi.ClassLoadHelper`

#### getResourceAsStream

    public InputStream getResourceAsStream(String name)

Specified by:
  `getResourceAsStream` in interface `org.quartz.spi.ClassLoadHelper`

#### getClassLoader

    public ClassLoader getClassLoader()

Specified by:
  `getClassLoader` in interface `org.quartz.spi.ClassLoadHelper`